@import url('https://fonts.googleapis.com/css2?family=Lobster&family=Poppins:wght@100;200;300;400;500;600;700&family=Young+Serif&display=swap');
*{
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
    scroll-padding: 2rem;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
}
:root{
    --h6-font-size: 18px;
    --h1-font-size: 50px;
    --h2-font-size: 40px;
    --h3-font-size: 30px;
    --h4-font-size: 20px;
    --h5-font-size: 18px;
    --blue-color: #0078ff;
}
.overlay{
    position: fixed;
   background: black;
   opacity: 0.4;
   right: 0;
   top: 0;
   bottom: 0;
   left: 0;
   z-index: 99;
   visibility: hidden;
}
.overlay.active{
    visibility: visible;
}

header{
    position: fixed;
    display: flex;
    text-align: center;
    justify-content: space-between;
    padding: 18px 100px;
    width: 100%;
    height: 60px;
    background: black;
    top: 0;
    right: 0;
    z-index: 1000;
}
header.shadow{
    box-shadow: 0 0 4px rgb(14 55 54 / 15%);
}
.navbar{
    display: flex;
   column-gap: 1.5rem;
    
}
.navbar li a{
    color: white;
    padding: 0 10px;
    text-transform: uppercase;
}
.navbar li a:hover{
border-bottom: 2px solid white;
transition: transform 0.3s ease-out;
}
.ex{
    color: var(--blue-color);
}


.back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    color:white;
    background: var(--blue-color);
    width: 40px;
    height: 40px;
    padding: 5px;
    z-index: 5;
    border-radius: 50px;
    font-size: 28px;
    visibility: hidden;

}

.show-arrow{
    visibility: visible;
}

.navbar .cv  {
    background: white;
    color: black;
    padding: 8px 16px;
    font-weight: 700;
}
.navbar .cv:hover{
    border-bottom: none;
    background: var(--blue-color);
    color: white;
}
.navbar .cv:hover .bx{
color: white;
}
.navbar .cv .bx{
    color: black;
    font-size: 20px;
}

header .logo{
    color: white;
    font-weight: 700;
    font-size: 24px;  
}

header .bx{
    color: white;
    font-size: 24px;
}
#menu-icon{
    display: none;
}
section{
    padding: 50px 100px;
}
.home{
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(bg\ image\ 2.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
}
.home-text{
    text-align: center;
}

.home .home-text h1{
    color: white;
    font-size: 60px;
    margin-top: 10px;
    letter-spacing: 1px;
}
.home .home-text p{
    color: white;
    font-size: 30px;
    margin-top: 20px;
    font-weight: 600;
    margin-bottom: 20px;
    letter-spacing: 1px;
}
.home .home-text a{
    background: white;
    color: black;
    padding: 8px 16px;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 15px;
}
.home .home-text a:hover{
    background: var(--blue-color);
    color: white;
}
.heading h3{
    text-align: center;
    font-weight: 600px;
    font-size: 30px;
}

/* sevice section */

.services{
    clip-path: polygon(0 0, 100% 11%, 100% 89%, 0% 100%);
    background: rgba(121, 122, 122, 0.09);
   height: 500px;
}
  
.service-container{
display: grid;
grid-template-columns: repeat(auto-fit, minmax(17rem, auto));
align-items: center;
gap: 1.5rem;
margin-top: 2rem;
}
.service-container .img-box{
    display: flex;
    align-items: center;
    flex-direction: column;
    position: relative;
}
.service-container .img-box .bx{
    font-size: 35px;
    font-weight: 100px;
    border: 2px solid grey;
    border: 2px solid var(--blue-color);
    border-radius: 50%;
    padding: 20px;
}

.service-container .img-box h5{
    font-size: var(--h5-font-size);
    margin-top: 1rem;
}
.service-container .img-box p{
    margin-top: 1rem;
    text-align: center;
}

/* End of Service section */



/* Portfolio Section */
.portfolio-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(17rem, auto));
    gap: 1.5rem;
    align-items: center;
    margin-top: 2rem;
    margin-bottom: 1.5rem;
  
}
.portfolio-container .box{
    display: flex;
    flex-direction: column;
    padding: 20px;
    position: relative;
    box-shadow: 2px 2px 10px 4px rgb(14 55 54 / 15%);
}

    
.portfolio-container .box img:hover{
    transform: scale(1.2);
}
.portfolio-container .box img{
    width: 100%;
    height: 250px;
    object-fit: contain;
    object-position: center;
    transition: all 0.5s ease;
}

.portfolio-container .box1 img{
background: #C0C0C0;
padding: 20px;
}
.portfolio-container .box2 img{
background:#E5E4E2;
padding: 20px;
}
.portfolio-container .box3 img{
background: #848884;
padding: 20px;
}
.portfolio-container .box4 img{
background: #71797E;
padding: 20px;
}
.portfolio-container .box5 img{
background: #D3D3D3;
padding: 20px;
}
.portfolio-container .box6 img{
background: 		#282828;
padding: 20px;
}
.portfolio-container .box7 img{
background: #788589;
padding: 20px;
}
.portfolio-container .box8 img{
background: #DCDCDC;
padding: 20px;
}
.portfolio-container .box9 img{
background: #606775;
padding: 20px;
}

.port-button{
display: flex;
align-items: center;
justify-content: center;
margin-top: 50px;
}
.port-button button{
border: 2px solid black;
outline: none;
padding: 10px 20px;
margin-right: 5px;
margin-left: 5px;
cursor: pointer;
}

.port-button button:hover{
background: var(--blue-color);
color: white;
border: none;
}   
.load-btn, .btn{
text-transform: uppercase;
background: 	#080808;
padding: 8px 20px;
display: flex;
align-items: center;
text-align: center;
color: white;
margin: auto;
cursor: pointer;
    
}
 .btn:hover{
background: var(--blue-color);
color: white;
border: none;
font-size: 600;
}

/* Contact Section */

.contact-form{
display: grid;
place-items: center;
margin-top: 2rem;
}
.contact-form form{
display: flex;
flex-direction: column;
width: 500px;
}

.placeholder-label{
 color: grey;
 font-size: 15px;
 margin-bottom: 10px;  
}
::placeholder{
position: absolute;
left: 0;
}

form input[type="text"],
form input[type="email"],
form input[type="phone"],
form textarea { 
width: 100%;
padding: 12px;
margin-bottom: 10px;
border-bottom: 1px solid black;
border-top: none;
border-right: none;
font-size: 15px;
border-left: none;
outline: none;
}
form textarea{
border: 1px solid black;
resize: none;
height: 200px;
margin-bottom: 15px;
}

/* Footer Section */

.footer{
clip-path: polygon(0 0, 100% 9%, 100% 82%, 0 90%);
height: 400px;
background: rgba(121, 122, 122, 0.09);
display: flex;
flex-direction: column;
align-items: center;
}
.footer a{
margin-top: 20px;
color: black;
text-decoration: underline;
font-weight: 600;
}
.footer h4{
margin-top: 20px;
}
.footer .social-handles{
margin-top: 20px;
} 
.footer .social-handles .bx{
font-size: 24px;
padding: 0 10px;
}
.footer .social-handles .bx:hover{
color: var(--blue-color);
}
.footer .copyright{
margin-top: 4rem;
}
.footer .copyright p{
font-size: 14px;
}

/* Responsiveness */

@media (max-width: 1056px){
.services{
height: 750px;
 }
}
         
@media (max-width: 877px){
.home{
height: 100%;
}
}
@media (max-width: 862px){
.home{
margin-top: 60px;
} 
.navbar{
display: flex;
gap: 0.5rem;
margin-left: 10px;
}
} 
@media (max-width: 810px){
.navbar{
gap: 0.3rem;
margin-left: 13px;
}
.home{
margin-top: 40px;
display: flex;
flex-direction: column;
text-align: center;
}
.home .home-text{
margin-top: 50px;
}
   
.navbar .cv  {
background: white;
color: black;
padding: 6px 14px;
font-weight: 700;
font-size: 14px;
}
.navbar .cv .bx{
color: black;
font-size: 17px;
}
}  
@media (max-width: 768px){
.navbar a.activet{
color: var(--blue-color);
}
#menu-icon{
display: initial;
cursor: pointer;
font-size: 24px;
}
.navbar{
position: absolute;
top: 60px;
right: 0;
left: -750px;
width: 80%;
height: 100vh;
background: white;
display: flex;
flex-direction: column;
row-gap: 3.5rem;
padding: 20px;
text-align: left;
transition: 0.3s;
}
.navbar li{
margin-left: 70px;
}
.navbar.active{
left: -10%;
}
.navbar li a{
color: black;
text-transform: lowercase;
font-size: 30px;
font-weight: 700px;
}
.navbar li a:hover{
color: var(--blue-color);
}
.navbar .cv  {
border: 2px solid black;
font-size: 30px;
}
.navbar .cv .bx{
font-size: 20px;
}   
.services{
height: 950px;
clip-path: polygon(0 0, 100% 8%, 100% 89%, 0 100%);
} 
}  
@media (max-width: 668px){
.home .home-text h1{
color: white;
font-size: 35px;
margin-top: 10px;
letter-spacing: 1px;
}
.home .home-text p{
color: white;
font-size: 20px;
margin-top: 20px;
font-weight: 600;
margin-bottom: 20px;
letter-spacing: 1px;
}
.contact-form form{
display: flex;
flex-direction: column;
width: 400px;
}
}
@media (max-width: 564px){
.home{
height: 100vh;
}
.services{
height: 1020px; 
clip-path: polygon(0 0, 100% 4%, 100% 95%, 0 100%);
} 
.heading h3{
font-size: 24px;
}
.services .service-container p{
font-size: 16px;
}
.services .service-container h5{
font-size: 18px;
}
.service-container .img-box .bx{
font-size: 24px;
padding: 10px;
}
.contact-form form{
width: 350px;
}
}
            
@media (max-width: 479px){
.services{
height: 1050px; 
} 
.contact-form form{
width: 100%;
}
.footer .social-handles .bx{
font-size: 16px;
}
section{
padding-right: 18px;
padding-left: 18px;
}
header{
padding-right: 18px;
padding-left: 18px;
}
.copyright p{
text-align: center;
}
.form::placeholder{
font-size: 18px;
}
.form input{
font-size: 18px;
}
}
@media (max-width: 457px){
.navbar li{
margin-left: 35px;
}
.navbar li a{
font-size: 20px;
font-weight: 700px;
}
.navbar .cv  {
border: 2px solid black;
font-size: 20px;
}
.navbar .cv .bx{
font-size: 18px;
}   
.services{
height: 100%; 
} 
}
@media (max-width: 389px){
.port-button{
width: 100%;
}
.port-button button{
font-size: 14px;
padding: 5px 10px;
margin-right: 3px;
margin-left: 3px;
}
.home .home-img img{
width: 250px;
height: 250px;
}
.service-container .img-box .bx{
font-size: 24px;
padding: 10px;
}
.portfolio-container .box{
display: flex;
flex-direction: column;
padding: 20px;
position: relative;
box-shadow: 2px 2px 10px 4px rgb(14 55 54 / 15%);
}
.home{
row-gap: 10px;
}
.contact-form form{
width: 100%;
}
.portfolio-container h2{
font-size: 16px;
}
}
                   